$(function(){
	
	    loginStatus();//读取用户头像
	    valUser();
	   
		var userid = $.cookie("userid");
		//个人信息头像获取
   		$("#headimg").attr("src", "/images/head/" + userid + "_l.jpg");
		$("#headimg").load(function() {
		}).error(function() {
				$("#headimg").attr("src",  "/images/default-photo.jpg");
		})
		//获取用户用户名
		$.ajax({	
			"url":"/ajax/professor/info/"+userid,
			"type":"get",
			"success":function($data){
				if($data.data)
				{	
					$('#username').text($data.data.name);
				}
			}
		})	
		
     	$("#hsearch").on("click",function (){
	   		var searchContent = $("#hsearchContent").val();
	   		location.href = "search.html?searchContent="+searchContent;
		});
		
});
		/*专家信息左导航背景点击切换*/
		$(".leftsidebar").click(function(){
			var index = $(this).index()-1;
			$(this).addClass("bgcolor").siblings().removeClass("bgcolor");	
			$(".content-set").eq(index).show().siblings().hide();
		});
		/*编辑标签变色html里隐藏了*/
		$("#container .edit").hover(function(){
			$(this).addClass("edit-position-left")	
			},function(){
			$(this).removeClass("edit-position-left")			
		});
		//邮箱绑定，手机绑定，点击关闭隐藏这两个部分
		$(".times").click(function(){
			$(".cover").hide();	
			$(".cover2").hide();	
		});
		//邮箱绑定，手机绑定，点击返回，隐藏这两个部分
		$(".back-btn").click(function(){
			$(".cover").hide();		
			$(".cover2").hide();		
		});
		//这个标签已经隐藏了，点击手机账号绑定
		$(".replace2").click(function(){
			$(".cover2").show();		
		});
		//这个标签已经隐藏了，点击邮箱账号绑定
		$(".replace1").click(function(){
			$(".cover").show();		
		});
		//点击邮箱账号绑定
		$(".replace5").click(function(){
			$(".cover").show();		
		})
		//点击手机账号绑定
		$(".replace6").click(function(){
			$(".cover2").show();		
		});
		//判断是否绑定了邮箱
		var emailCookie = $.cookie("userEmail");
		var phoneCookie = $.cookie("userMobilePhone");
		if(emailCookie != "" && emailCookie != null && emailCookie != "null" ){
			$("#emailShow").text(emailCookie);
			$(".replace1").hide();	
			$(".replace3").show();		
		}else{
			$(".replace1").show();	
			$(".replace3").hide();		
		}
		//判断是否绑定了手机号
		if(phoneCookie != "" && phoneCookie != null && phoneCookie != "null" ){
			$("#phoneShow").text(phoneCookie.substring(0, 3) + "****" + phoneCookie.substring(7, 11));
			$(".replace2").hide();	
			$(".replace4").show();		
		}else{
			$(".replace2").show();	
			$(".replace4").hide();		
		}

	var oldPass = false;
	var isPass = false;
	var isPass2 = false;
	function valOld(){
		var oldPassword = $("#oldPassword").val();
		if(oldPassword.length==0){
			$(".msg1").text("请输入密码");
			oldPass = false;
		}else if(oldPassword.length < 6){
			$(".msg1").text("密码不少于6位，请输入正确的密码");
		}else{
			$(".msg1").text("");
			oldPass = true;
		}
	}

	function valNew(){
		var newPassword = $("#newPassword").val();
		var oldPassword = $("#oldPassword").val();
		if(newPassword.length==0){
			 $(".msg2").text("密码不能为空");
		}else if(newPassword.length<6){
			$(".msg2").text("密码长度过短,至少六位");
		}else if(newPassword2 == newPassword){
			$(".msg2").text("新旧密码不能一致");
		} else{
			isPass = true;
			$(".msg2").text("");
		}
	}
	function valNew2(){
		var newPassword = $("#newPassword").val();
		var newPassword2 = $("#newPassword2").val();
		if(newPassword2.length==0){
			 $(".msg3").text("密码不能为空");
		}else if(newPassword2 != newPassword){
			$(".msg3").text("两次输入密码不一致");
		}else{
			isPass2 = true;
			$(".msg3").text("");
		}
	}

	function restPassword(){
		valOld();
		valNew();
		valNew2();
		if(oldPass == true && isPass == true && isPass2 == true){
			$.ajax("/ajax/cp",{
					type:"POST",
					 async: false,
					success:function(data){  

						if(data.success){
							if(data.data == true){
								$.MsgBox.Alert("消息","设置成功,请重新登录");
								/*location.href="login.html";*/
							}else{

								$.MsgBox.Alert("消息","设置失败,请检查密码是否正确!");
							}
						}else{
							$.MsgBox.Alert("消息","系统异常!");
							// alert("系统异常!");
						}
					},
					error:function(){$.MsgBox.Alert('message','fail')},
					data:{"id":$.cookie("userid"),"npw":$("#newPassword2").val(),"onw":$("#oldPassword").val()},
				 	dataType: 'json'
				});
		}else{
			/*alert("请校验密码");*/
		}
	}
	
	//重新绑定邮箱
	var emailPass = false;
	//页面需要验证展示的位置，先用alert替代
	function valEmail(){
		var email = $("#email").val();
		var gunf=/^\w+@\w+\.((cn)|(com)|(com\.cn))$/;
        if(gunf.test(email.trim())){
           $(".msg11 span").text("");
           emailPass = true;
           emailSuccess();
        }else{
        	/*alert("请输入正确是邮箱地址");*/
        	$(".msg11 span").text("请输入正确是邮箱地址");
        	emailPass = false;
        }
	}
	//获取邮箱，填写地址
	function emailSuccess()
	{
		var mailVal =$('#email').val();
		$(".act-color").each(function() {  
	        var url = mailVal.split('@')[1];
	        for (var j in hash){  
	            $(this).attr("href", hash[url]);  
	        }  
	     });
	}
	
	 var mailCode = GetQueryString('sc');
	//获取邮箱验证码传值注册
	if(mailCode!=''){
		$(".account-set a").eq(2).addClass("bgcolor").siblings().removeClass("bgcolor");
		$(".contentbox .content-set").eq(2).show().siblings().hide();
	    $.ajax("/ajax/bindMail/"+mailCode,{
				type:"get",
				async: true,
				success:function(data){ 
					 $.MsgBox.Alert('消息','邮箱绑定成功')
				},
				error:function(){
				   $.MsgBox.Alert('消息','邮箱绑定失败')
				},
				data:{},			
			 	dataType: 'json'}
		); 	 
	 }
	
	//点击邮箱激活
	function bindEmail(){
		valEmail();
		var email = $("#email").val();
		if(emailPass == true){
			$.ajax("/ajax/reqBindMail",{
					type:"GET",
					async: false,
					success:function(data){ 
						//console.log(data);
						if(data.success){
							if(data.data == true){
							//	$.MsgBox.Alert("消息","请检查邮件,设置成功后请重新登录!");
								$.cookie('userEmail',email); 
								var mailVal =$('.act-color').attr("href");  
								location.href=mailVal;
							}else{
								/*alert("邮箱设置失败");*/
								$.MsgBox.Alert("消息","邮箱已经绑定!");
							}
						}else{
							$.MsgBox.Alert("消息","系统异常!");
							// alert("系统异常!");
						}
					},
					error:function(){$.MsgBox.Alert('message','fail')},
					data:{"userid":$.cookie("userid"),"mail":$("#email").val()},
				 	dataType: 'json'
				});
		}else{
			/*alert("请输入正确是邮箱地址");*/
		}
	}
	//验证手机号是否合法
	var phonePass = false;
	function valPhone(){
		var phoneVal = $("#phone").val();
		if(phoneVal.length==0){
			/*alert("请输入您的手机号码");*/
	        $(".msg12").text("请输入您的手机号码");
	    }else{
        	var hunPhone=/^1[3|4|5|7|8]\d{9}$/;
			if(hunPhone.test(phoneVal.trim())){
				$(".msg12").text("");
				phonePass = true;
			}else{
				phonePass = false;
				/*alert("手机格式正确,请输入正确的手机号码");*/
				$(".msg12").text("手机格式正确,请输入正确的手机号码");
			}
	    }
	}
	//验证手机验证码
	var codePass = false;
	function valCode(){
		var phoneCode = $("#phoneCode").val();
		if(phoneCode.length==0){
			/*alert("请输入验证码");*/
	        $(".msg13").text("请输入验证码");
	    }else{
		    if(!isNaN(phoneCode)){
				codePass = true;
			}else{
				codePass=false;
				 $(".msg13").text("请填写数字");
			  /*alert("请填写数字");*/
			}
	    }

	}
	//发送手机验证码
	var phoneState;
	function sendPhoneCode(){
		valPhone();
		if(phonePass == true){
			$.ajax("/ajax/vcWithBind",{
					type:"GET",
					 async: false,
					success:function(data){ 
						if(data.success){
							if(data.data == null){
								$(".msg13").text("验证码发送失败,请确认手机号码正确!");
								/*alert("验证码发送失败,请确认手机号码正确!");*/
							}else{
								$(".msg13").text("发送成功,请检查手机验证码");
								/*alert("发送成功,请检查手机验证码");*/
								phoneState = data.data;
								$.MsgBox.Alert("消息","设置错误!");
							}
						}else{

							$.MsgBox.Alert("消息","系统异常!");
							// alert("系统异常!");
						}
					},
					error:function(){$.MsgBox.Alert('message','fail')},
					data:{"userid":$.cookie("userid"),"mobilePhone":$("#phone").val()},
				 	dataType: 'json'
				});
		}else{
			/*alert("请输入正确是手机号码");*/
		}
	}
	//绑定手机号
	function bindPhone(){
	 	valCode();
		if(codePass == true){
			/*alert($.cookie("userid"));
			alert($("#phone").val());
			alert(phoneState);
			alert($("#phoneCode").val());*/

			$.ajax("/ajax/bindMobilePhone",{
					type:"POST",
					 async: false,
					success:function(data){ 
						if(data.success){
							/*alert(2);*/
							if(data.data == true){
								$.MsgBox.Alert("消息","绑定成功请重新登录!");
								location.href="login.html";
							}else{
								$.MsgBox.Alert("消息","绑定失败，请检查验证码是否正确");
							}
						}else{
							$.MsgBox.Alert("消息","系统异常!");
							// alert("系统异常!");
						}
					},
					error:function(){$.MsgBox.Alert('message','fail')},
					data:{"userid":$.cookie("userid"),"mobilePhone":$("#phone").val(),"validateCode":$("#phoneCode").val(),"state": phoneState},
				 	dataType: 'json'
				});
		}else{
			/*alert("请输入验证码是否正确");*/
		}
	}
	
	//个人信息设置读取
	
	
	
	
